CVE-2014-3506

2014-08-13T19:55:07
ID CVE-2014-3506
Type cve
Reporter NVD
Modified 2017-08-28T21:34:46

Description

d1_both.c in the DTLS implementation in OpenSSL 0.9.8 before 0.9.8zb, 1.0.0 before 1.0.0n, and 1.0.1 before 1.0.1i allows remote attackers to cause a denial of service (memory consumption) via crafted DTLS handshake messages that trigger memory allocations corresponding to large length values.